es.gob.fnmt.nfc

## Class NFCCommReaderFragment

- java.lang.Object
- - android.app.Fragment
  - - es.gob.fnmt.nfc.NFCCommReaderFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.nfc.NfcAdapter.ReaderCallback, android.view.View.OnCreateContextMenuListener
  Direct Known Subclasses:
    NFCCommunicationFragment

      public class NFCCommReaderFragment
      extends android.app.Fragment
      implements android.nfc.NfcAdapter.ReaderCallback

  Implementation of a Fragment to handle all the NFC communications.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NFCCommReaderFragment.FinalTaskListener` Interface to invoke any task after NFC connectivity is established.
    `static interface` | `NFCCommReaderFragment.NFCCommReaderFragmentListener` Interface to notify about events in the reading process.

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAN_ARGUMENT_KEY_STRING`
    `static java.lang.String` | `ERROR_PIN_LOCKED`
    `static java.lang.String` | `KEYSTORETYPE_ARGUMENT_KEY_STRING`
    `static java.lang.String` | `PRELOADKEYSTORE_ARGUMENT_KEY_STRING`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NFCCommReaderFragment()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.KeyStore` | `getKeyStore()`
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `void` | `onDestroy()`
    `void` | `onDetach()`
    `void` | `onResume()`
    `void` | `onTagDiscovered(android.nfc.Tag tag)`
    `void` | `setFinalTask(NFCCommReaderFragment.FinalTaskListener finalTaskListener)`
    `void` | `setSignatureNotification(SignatureNotification notification)`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onCreateView, onDestroyOptionsMenu, onDestroyView, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CAN_ARGUMENT_KEY_STRING

          public static final java.lang.String CAN_ARGUMENT_KEY_STRING

      See Also:
        Constant Field Values

    - #### ERROR_PIN_LOCKED

          public static final java.lang.String ERROR_PIN_LOCKED

      See Also:
        Constant Field Values

    - #### KEYSTORETYPE_ARGUMENT_KEY_STRING

          public static final java.lang.String KEYSTORETYPE_ARGUMENT_KEY_STRING

      See Also:
        Constant Field Values

    - #### PRELOADKEYSTORE_ARGUMENT_KEY_STRING

          public static final java.lang.String PRELOADKEYSTORE_ARGUMENT_KEY_STRING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NFCCommReaderFragment

          public NFCCommReaderFragment()

  - ### Method Detail

    - #### getKeyStore

          public static java.security.KeyStore getKeyStore()

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.app.Fragment`

    - #### onDestroy

          public void onDestroy()

      Overrides:
        `onDestroy` in class `android.app.Fragment`

    - #### onDetach

          public void onDetach()

      Overrides:
        `onDetach` in class `android.app.Fragment`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### onTagDiscovered

          public void onTagDiscovered(android.nfc.Tag tag)

      Specified by:
        `onTagDiscovered` in interface `android.nfc.NfcAdapter.ReaderCallback`

    - #### setFinalTask

          public void setFinalTask(NFCCommReaderFragment.FinalTaskListener finalTaskListener)

    - #### setSignatureNotification

          public void setSignatureNotification(SignatureNotification notification)